Package Details: grass 7.6.0-1

Git Clone URL: https://aur.archlinux.org/grass.git (read-only)
Package Base: grass
Description: Geospatial data management and analysis, image processing, graphics/maps production, spatial modeling and visualization
Upstream URL: http://grass.osgeo.org/
Licenses: GPL
Submitter: Scimmia
Maintainer: Scimmia
Last Packager: Scimmia
Votes: 32
Popularity: 0.779367
First Submitted: 2015-09-06 15:10
Last Updated: 2019-01-22 20:08

Dependencies (26)

Required by (1)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

cbxd commented on 2017-06-03 15:25

Hi,
Same problem here as saultdon. I cannot build grass, the script ends up with errors:

--
Errors in:
/home/chris/build/AUR-grass7/src/grass-7.2.1/lib/python/ctypes
--
In case of errors please change into the directory with error and run 'make'.
If you get multiple errors, you need to deal with them in the order they
appear in the error log. If you get an error building a library, you will
also get errors from anything which uses the library.
--
Finished compilation: Sat 3 Jun 15:08:54 UTC 2017
make: *** [Makefile:70: default] Error 1
==> ERROR: A failure occurred in build().
Aborting...

saultdon commented on 2017-06-01 21:40

@scimmia

Trying to build today and wondering if this is just something wrong with my setup or need to file an upstream bug report.

Errors in:
/tmp/makepkg/grass/src/grass-7.2.1/lib/python/ctypes

I pasted the output of the error when using `make` inside that dir at https://pastebin.com/hacsPh94

kikislater commented on 2017-05-08 17:02

ok thank you, next time I will ;-)

Scimmia commented on 2017-05-08 14:46

kikislater, that's what the "Flag package out-of-date" option is for.

kikislater commented on 2017-05-08 06:44

7.2.1 is out !
https://grass.osgeo.org/news/67/15/GRASS-GIS-7-2-1-released/

Please update

marcocurreli commented on 2017-03-09 21:17

I have mesa installed. Now I've also installed mesa-libgl and everything works fine. Thanks a lot.

Scimmia commented on 2017-03-09 00:17

Sounds like you don't have a working libGL on your system. How are your video drivers set up?

marcocurreli commented on 2017-03-08 17:36

Hi,
I have this error:

checking for location of OpenGL library...
checking for glBegin in -lGL... no
checking for glBegin in -lGL... no
checking for glBegin in -lGL... no
checking for glBegin in -lGL... no
configure: error: *** Unable to locate OpenGL library.

Best regards,
Marco

ingleandrobarros commented on 2017-01-01 02:04

GRASS GIS 7.2 have ERROR:

/tmp/yaourt-tmp-leandro/aur-grass/src/grass-7.2.0/temporal/t.vect.univar
--
In case of errors please change into the directory with error and run 'make'.
If you get multiple errors, you need to deal with them in the order they
appear in the error log. If you get an error building a library, you will
also get errors from anything which uses the library.
--
Finished compilation: Sat Dec 31 21:02:53 COT 2016
make: *** [Makefile:70: default] Error 1
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build grass.

kokkytos commented on 2016-12-07 18:28

That was the error. libmariadbclient wasn't installed. Thank you.